<?php

	/*
	* @category    Module
	* @package     Sonassi_Enterprise
	* @copyright   Copyright (c) 2012 Sonassi
	*/

class Sonassi_Enterprise_Model_Design_Package 
	extends Mage_Core_Model_Design_Package
{

  public function getFilename($file, array $params)
  {
      Varien_Profiler::start(__METHOD__);
      $this->updateParamDefaults($params);
      $result = $this->_fallback($file, $params, array(
          array(),
          array('_theme' => $this->getFallbackTheme()),
          array('_theme' => 'default', '_package' => 'enterprise'),
          array('_theme' => self::DEFAULT_THEME),
      ));
      Varien_Profiler::stop(__METHOD__);
      return $result;
  }
  
  public function getSkinUrl($file = null, array $params = array())
  {
      Varien_Profiler::start(__METHOD__);
      if (empty($params['_type'])) {
          $params['_type'] = 'skin';
      }
      if (empty($params['_default'])) {
          $params['_default'] = false;
      }
      $this->updateParamDefaults($params);
      if (!empty($file)) {
          $result = $this->_fallback($file, $params, array(
              array(),
              array('_theme' => $this->getFallbackTheme()),
              array('_theme' => 'default', '_package' => 'enterprise'),
              array('_theme' => self::DEFAULT_THEME),
          ));
      }
      $result = $this->getSkinBaseUrl($params) . (empty($file) ? '' : $file);
      Varien_Profiler::stop(__METHOD__);
      return $result;
  }  

}